/*******************************************************************************
 * Copyright (c) 2000, 2003 IBM Corporation and others.
 * All rights reserved. This program and the accompanying materials 
 * are made available under the terms of the Common Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/cpl-v10.html
 * 
 * Contributors:
 *     IBM Corporation - initial API and implementation
 *******************************************************************************/
package org.eclipse.hyades.execution.datapool;

/**
 * Default implementation of the {@link IDatapoolListener} class.  Available for 
 * use as a base class for listener classes so that all methods do not need to be
 * implemented. 
 */
public class DatapoolAdapter implements IDatapoolListener
{
	
	public void variableAdded(IDatapool datapool, int variableIndex)
	{
	}
	
	public void variableRemoved(IDatapool datapool, int variableIndex)
	{
	}
	
	public void variableMoved(IDatapool datapool, int beforeVariableIndex, int afterVariableIndex)
	{
	}
	
	public void variableChanged(IDatapool datapool, int variableIndex)
	{
	}
	
	public void recordAdded(IDatapool datapool, int afterRecordIndex)
	{
	}
	
	public void recordRemoved(IDatapool datapool, int recordIndex)
	{
	}
	
	public void recordMoved(IDatapool datapool, int beforeRecordIndex, int afterRecordIndex)
	{
	}
	
	public void cellChanged(IDatapool datapool, int recordIndex, int variableIndex)
	{
	}
	
	public void datapoolReordered(IDatapool datapool)
	{
	}
	
}
